Subject: Re: [PATCH v3 2/5] powerpc/85xx/86xx: Add suspend/resume support

From: Anton Vorontsov <[email-masked]>
Date: Tue, 15 Sep 2009 01:47:36 +0400

On Mon, Sep 14, 2009 at 03:45:10PM -0500, Scott Wood wrote:
[...]
> >You can't request the firmware in the qe driver's ->suspend()
> >routine necause the firmware may be on e.g. NFS filesystem or USB
> >stick (implies having QE Ethernet or QE USB fully functional).
> 
> Is there any way for software to read out the current firmware from
> the device, or is it write-only?

Hm, I didn't look into iram stuff that much, but seemingly I can
read it back and save. In the end, it's just a ram that we access
in a weird way... Let me try it.

Thanks,

-- 
Anton Vorontsov
email: [email-masked]
irc://irc.freenode.net/bd2